## org.hibernate.tool.instrument
Class BasicInstrumentationTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hibernate.tool.instrument.BasicInstrumentationTask

All Implemented Interfaces:
  Cloneable, Instrumenter.Options

Direct Known Subclasses:
  InstrumentTask

    public abstract class BasicInstrumentationTask

extends org.apache.tools.ant.Task
implements Instrumenter.Options

Super class for all Hibernate instrumentation tasks. Provides the basic templating of how instrumentation should occur; subclasses simply plug in to that process appropriately for the given bytecode provider.

Nested Class Summary
`protected class` `BasicInstrumentationTask.LoggerBridge`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`BasicInstrumentationTask()`

Method Summary
`void` `addFileset(org.apache.tools.ant.types.FileSet set)`
`protected abstract Instrumenter` `buildInstrumenter(Logger logger, Instrumenter.Options options)`
`void` `execute()`
`protected Iterator` `filesets()`
`boolean` `isExtended()`
`boolean` `isVerbose()`
`boolean` `performExtendedInstrumentation()` Should we enhance references to class fields outside the class itself?
`void` `setExtended(boolean extended)`
`void` `setVerbose(boolean verbose)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInstrumentationTask

    public BasicInstrumentationTask()

Method Detail

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

### filesets

    protected final Iterator filesets()

### isExtended

    public boolean isExtended()

### setExtended

    public void setExtended(boolean extended)

### isVerbose

    public boolean isVerbose()

### setVerbose

    public void setVerbose(boolean verbose)

### performExtendedInstrumentation

    public final boolean performExtendedInstrumentation()

  Description copied from interface: `Instrumenter.Options`
  Should we enhance references to class fields outside the class itself?

  Specified by:
    `performExtendedInstrumentation` in interface `Instrumenter.Options`
  Returns:
    true/false

### buildInstrumenter

    protected abstract Instrumenter buildInstrumenter(Logger logger,
                                                      Instrumenter.Options options)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.